package inetaddressmethoden;

/**
 * Title:        Anwendung aller InetAddress Methoden
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.net.*;
public class InetAddressMethodenTest {

  public static void main(String[] args) {
    //"InetAddressMethodenTest.java": Error #: 307 : constructor InetAddress(java.lang.String, byte[]) is not public in class java.net.InetAddress; cannot be accessed from outside package at line 15, column 36
    // InetAddress meinComputer = new InetAddress();
    InetAddress meinComputer=null;

    try {
      // getLocalHost()
      meinComputer = InetAddress.getLocalHost();
      System.out.println("Details zu meinem Computer:\nInetAddress.getLocalHost() : "+meinComputer);

      // getHostName()
      System.out.println("public String InetAddress.getLocalHost().getHostName() : "+meinComputer.getHostName());

      // getAddress()
      byte[] meineComputerAdresse = meinComputer.getAddress();
      System.out.print("byte[ ] InetAddress.getLocalHost().getAddress() : ");
      for (int i=0; i<meineComputerAdresse.length-1; i++) System.out.print(" "+meineComputerAdresse[i]+"/");
      System.out.print(" "+meineComputerAdresse[meineComputerAdresse.length-1]);
      System.out.println();

      // getHostAddress()
      System.out.println("String InetAddress.getLocalHost().getHostAddress() : "+meinComputer.getHostAddress());

      // hashcode
      System.out.println("String InetAddress.getLocalHost().hashcode() : "+meinComputer.hashCode());

      // equals
      InetAddress meinLokalerComputer = InetAddress.getByName("127.0.0.1");
      System.out.println("public boolean InetAddress.getLocalHost().equals(InetAddress.getByName(\"127.0.0.1\") : "+meinComputer.equals(meinLokalerComputer));
      meinLokalerComputer = InetAddress.getByName("147.88.74.117");
      System.out.println("public boolean InetAddress.getLocalHost().equals(InetAddress.getByName(\"147.88.74.117\") : "+meinComputer.equals(meinLokalerComputer));

      // toString()
      System.out.println("InetAddress.getLocalHost().toString() : "+meinComputer.toString());

      // getByName()
      System.out.println("\npublic static InetAddress getByName(String host)\n                             throws UnknownHostException");
      System.out.println("InetAddress.getLocalHost().getByName(\"ztnw293\") : "+InetAddress.getByName("ztnw293"));
      System.out.println("InetAddress.getLocalHost().getByName(\"localhost\") : "+InetAddress.getByName("localhost"));
      System.out.println("InetAddress.getLocalHost().getByName(\"147.88.74.117\") : "+InetAddress.getByName("147.88.74.117"));
      System.out.println("InetAddress.getLocalHost().getByName(\"127.0.0.1\") : "+InetAddress.getByName("127.0.0.1"));

      // getAllByName()
      System.out.println("\npublic static InetAddress[ ] getllByName(String host)\n                             throws UnknownHostException");
      for (int i=0; i<meinComputer.getAllByName("ztnw293").length; i++) System.out.println("InetAddress.getAllByName(\"ztnw293\") : "+InetAddress.getAllByName("ztnw293")[i]);
      for (int i=0; i<meinComputer.getAllByName("localhost").length; i++) System.out.println("InetAddress.getAllByName(\"localhost\") : "+InetAddress.getAllByName("localhost")[i]);
      for (int i=0; i<meinComputer.getAllByName("147.88.74.117").length; i++) System.out.println("InetAddress.getAllByName(\"147.88.74.117\") : "+InetAddress.getAllByName("147.88.74.117")[i]);
      for (int i=0; i<meinComputer.getAllByName("127.0.0.1").length; i++) System.out.println("InetAddress.getAllByName(\"127.0.0.1\") : "+InetAddress.getAllByName("127.0.0.1")[i]);

      // isMulticastAddress()()
      System.out.println("\npublic boolean isMulticastAddress() : "+meinComputer.isMulticastAddress());

    } catch(UnknownHostException e) {
      System.out.println("localhost ist nicht bekannt");
    }
  }
}