
//Titel:        lookup
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:      
//Beschreibung:  eine Java Version (Kommando Zeile) des UNIX nslookup Utilities
package lookup;
import java.net.*;
import java.io.*;
class lookup {

   public static void main (String args[]) {

   if (args.length > 0) { // Eingabe auf der Kommandozeile
     for (int i = 0; i < args.length; i++) {
        lookup(args[i]);
     }
   }
   else {
     DataInputStream myInputStream = new DataInputStream(System.in);
     System.out.println
       ("Bitte den Rechnernamen oder die IP Adresse eingeben. Mit \"exit\" wird das Programm beendet.");
     while (true) {
       String s;
       try {
         s = myInputStream.readLine();
       }
       catch (IOException e) {
         break;
       }
       if (s.equals("exit")) break;
       lookup(s);
     }

   }

  } /* end main */


  private static void lookup(String s) {

    InetAddress thisComputer;
    byte[] address;

    // bestimmen der IP Adresse
    try {
      thisComputer = InetAddress.getByName(s);
      address = thisComputer.getAddress();
    }
    catch (UnknownHostException ue) {
       System.out.println("Rechner wurde nicht gefunden " + s);
       return;
    }

    if (isHostname(s)) {
      // Ausgabe der IP Adresse
      for (int i = 0; i < address.length; i++) {
        int unsignedByte = address[i] < 0 ? address[i] + 256 : address[i];
        System.out.print(unsignedByte + ".");
      }
      System.out.println();
    }
    else {  // dies ist eine IP Adresse
      try {
        InetAddress ina = InetAddress.getByName(s);
        System.out.println(ina);
      }
      catch (UnknownHostException e) {
        System.out.println("Adresse wurde nicht gefunden" + s);
      }
    }

  }  // end lookup

   private static boolean isHostname(String s) {

     char[] ca = s.toCharArray();
     // falls ein Zeichen weder eine Zahl noch ein Punkt ist
     // dann ist s wahrscheinlich ein Rechnernamen (Zeichenkette)
     for (int i = 0; i < ca.length; i++) {
       if (!Character.isDigit(ca[i])) {
         if (ca[i] != '.') {
           return true;
         }
       }
     }

     // es wurde eine Zahl oder ein Punkt gefunden
     // es sieht so aus, als ob s eine IP Adresse in der blichen Schreibweise sei
     return false;

   }  // end isHostName

 } // end javalookup

